wmmixer(1)

NAME
wmmixer - A mixer application designed for WindowMaker

DESCRIPTION
wmmixer is a mixer application designed for WindowMaker, although there is nothing in the program that makes it require WindowMaker, except maybe the NeXTStep look and the fact that it properly docks. It can be used with other window managers without problems.

SYNOPSIS
wmmixer [options]

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes ('--'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option the display specified by the DISPLAY environment variable is used.

-g, --geometry <string>
    geometry to use, e.g. +100+100 to place it at 100/100

-h, --help
    show help text and exit.

-v, --version
    show program version and exit.

-w, --withdrawn
    run the application in withdrawn mode. This is for use with WindowMaker or other window managers supporting docks (e.g. KDE)

-a, --afterstep
    use smaller window (for AfterStep Wharf)

-s, --shaped
    shaped window

-l, --led-color <string>
    use the specified color for led, e.g. red, green, blue (default: green)

-L, --led-highcolor <string>
    use the specified color for led-shading, e.g. red, green, blue (default: red)

-b, --back-color <string>
    use the specified color for backgrounds, e.g. red, green, blue

-m, --mix-device <string>
    use specified device (rather than /dev/mixer)

-r, --scrollwheel <number>
    Set the volume increase/decrease when using the mouse wheel (default: 2)

For backward compatibility the following obsolete options are still supported:

-help
    show help text and exit.

-display
    attempt to open a window on the named X display

-position
    geometry to use, e.g. +100+100 to place it at 100/100

USAGE
All available channels on your soundcard's mixer are accessible with wmmixer. Most common channels are identified with an appropriate icon. Controls include a stereo (mono where appropriate) volume control and a recording source toggle button.

Press the "<" and ">" arrow buttons to select a channel. The icon identifies the current channel (a volume symbol with a question mark represents an unrecognised channel). Click and/or drag the volume display to set channel volume. There is a also a button to set recording sources.

CONFIGURATION
Users can configure wmmixer to suit their requirements by means of a ~/.wmmixer file. A commented example can be found in /usr/share/doc/wmmixer on Debian systems, and would be a good starting point

AUTHOR
wmmixer was originally written by Sam Hawker <shawkie@geocities.com>, and then adopted by Gordon Fraser <gordon@debian.org>.

This manual page was written by Gordon Fraser <gordon@debian.org>.